﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using Xceed.Wpf.Toolkit.PropertyGrid;

namespace CtrEditor.ObjetosSim.UserControls
{
    /// <summary>
    /// Interaction logic for BrushEditor.xaml
    /// </summary>
    public partial class BrushEditor : UserControl
    {
        public BrushEditor()
        {
            InitializeComponent();
        }

        public Brush Value
        {
            get { return (Brush)GetValue(ValueProperty); }
            set { SetValue(ValueProperty, value); }
        }

        public static readonly DependencyProperty ValueProperty =
            DependencyProperty.Register("Value", typeof(Brush), typeof(BrushEditor), new PropertyMetadata(Brushes.Red));
    }

    public class ColorItem
    {
        public string Name { get; set; }
        public Brush Color { get; set; }
    }
}
